windres and ranlib not detected when cross-compiling

July 18, 2016 00:10 - Carlo Bramini

Status: Closed Start date: July 18, 2016

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: win32 Estimated time: 0.00 hour

Target version: 3.8   

Affects version: 3.7.2   

Description

The mingw compiler provided with CYGWIN is called with i686-w64-mingw32 prefix.

The configure script is not able to detect windres and runlib here (but in my opinion it happens also with MSYS2): I think that you

should replace AC_PATH_PROG with AC_PATH_TOOL in configure.ac, when it tries to check these two tools (lines 146-147).

I did this easy change, I regenerated configure and now it works fine.

Sincerely,

History

#1 - July 18, 2016 18:17 - John Lindgren

- Status changed from New to Rejected

We do not support Cygwin.

#2 - July 19, 2016 21:58 - Carlo Bramini

John Lindgren wrote:

We do not support Cygwin.

 

Excuse me... my intention was not to ask a strict support for CYGWIN, probably I did a mistake in my request. What I wanted to say is that using

AC_PATH_PROG instead of AC_PATH_TOOL for testing the presence of a tool is wrong, independently by the fact that it is running on CYGWIN,

linux, Mac, etc.

Sincerely.

#3 - July 20, 2016 05:23 - John Lindgren

- Subject changed from winres and runlib not detected. to windres and ranlib not detected when cross-compiling

- Category set to win32

- Status changed from Rejected to Closed

- Target version set to 3.8

- % Done changed from 0 to 100

- Affects version 3.7.2 added
Okay, I see the difference now, AC_PATH_TOOL is needed for cross-compiling.

#4 - July 30, 2016 10:24 - Carlo Bramini

John Lindgren wrote:

Okay, I see the difference now, AC_PATH_TOOL is needed for cross-compiling.

 

Thank you for the fix.

It escaped to my attention that also AR needs to be tested with AC_PATH_TOOL because it's part of binutils. Perhaps I did not noticed it because AR

from CYGWIN and AR from MINGW produce the same files, but it may be possible that it won't work with different architectures. I do not know if it

could cause an error in some conditions, however I report it here as reminder.

#5 - July 31, 2016 00:43 - John Lindgren

Fixed.
